/******************************************
/* CSS
/*******************************************/

:root {
  --main-color: white;
  --main-bg-color: #000;
  --footer-bg-color: #565656;
  --soundcloud-orange: #FF7700;
}

/* Box Model Hack */
*{
  box-sizing: border-box;
}
/* Box Model Hack */

html {
  font-size: 16px;
  scroll-behavior: smooth;
}

body {
  background-color: var(--main-bg-color);
  /* overflow-x: hidden; */
}

body,
i {
  color: var(--main-color);
}

a {
  text-decoration: none;
  color: inherit;
  position: relative;
}

a[disabled] {
  pointer-events: none;
}

a.soundcloud,
a.soundcloud:focus {
  color: var(--soundcloud-orange);
}

.disabled {
  color: rgba(255, 255, 255, .7);
  pointer-events: none;
}

/* FONT FAMILY */
h2 {
  font-family: 'Ramabhadra', sans-serif;
  text-align: center;
  margin: 2rem 0;
}

p,
.attribution,
.primary-navigation {
  font-family: Arial, Helvetica, sans-serif;
}

.about-subtitle {
  font-family: 'Rock Salt', Arial, Helvetica, sans-serif;
}

h2,
.about-subtitle, 
.primary-navigation a {
  text-transform: uppercase;
}

h2,
.primary-navigation {
  font-size: 3rem;
}

p {
  max-width: 75ch;
  margin: 1rem auto;
}

p,
.about-subtitle {
  font-size: 1rem;
  line-height: 1.5rem;
}

.attribution {
  font-size: .75em;
}

.primary-navigation {
  z-index: 100000;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

ul > li {
  width: 100%;
}

.invert {
  filter: invert(1);
}

/* TEXT ALIGN */
p,
.attribution {
  text-align: justify;
}

.p-center,
ul > li,
.about-subtitle,
address > *,
.attribution,
.footer-socials li {
  text-align: center;
}

address a,
.attribution a {
  font-weight: bold;
}

iframe {
  width: 100%;
}

footer {
  background-color: var(--footer-bg-color);
}

/******************************************
/* LAYOUT
/*******************************************/
.container {
    padding: 0 5%;
}

.flex {
  display: flex;
  flex-direction: column;
  gap: var(--gap, 2rem);
}

section::after {
  content: '';
  display: table;
  height: 10rem;
}

/* HEADER */

header {
  min-height: 100vh;
  position: relative;
  background-image: url('../img/large/ymsifdjq.bmp');
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
}

.primary-header {
  align-items: flex-start;
  justify-content: center;
}

.mobile-nav-toggle {
  display: none;
}

.primary-navigation {
  width: 100vw;
  background-color: hsl(0 0% 0% / 0.8);
  position: fixed;
  justify-content: space-between;
  overflow-y: auto;
}

.primary-navigation li {
  flex-basis: 0;
}

.logo {
  position: absolute;
}

.logo:not(.footer-logo) {
  width: 65vw;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  object-fit: contain;
}

.logo > img {
  width: 100%;
}

.scroll-down {
  font-size: 3rem;
  position: absolute;
  left: 50%;
  bottom: 3rem;
  transform: translateX(-50%);
  cursor: pointer;
}

/* ABOUT */

.about-subtitle {
  display: block;
  margin: 0 auto;
}

/* MUSIC */
.music-blurb {
  flex-flow: row wrap;
  justify-content: center;
  align-items: center;
}

.music-blurb p {
  margin: 0;
}

.music-links {
  padding: 0;
  width: 100%;
}

.music-link,
.social-section li {
  padding: 0;
}

.music-link a,
.social-section li a {
  margin: 0;
  padding: .5rem;
  display: block;
  width: 100%;
  height: 100%;
}

.music-link:hover,
.social-section a:hover {
  background-color: var(--footer-bg-color);

  -o-transition: 300ms;
  -webkit-transition: 300ms;
  transition: 300ms;
}

.music-link img {
  width: 15rem;
  object-fit: contain;
}


/* CLIENT LOGOS */
.client-logos {
  padding: 0 5vw;
}

.client-logo {
  max-width: 100%;
}

.client-logo img,
.client-logo svg {
  width: 100%;
  max-height: 100%;
  object-fit: contain;
}

/* FOOTER */

footer,
.footer-logo {
  position: relative;
}


.footer-logo {
  max-height: 10rem;
  display: flex;
  justify-content: center;
  align-items: center;
}

.footer-logo img {
  max-width: 30vw;
  display: block;
  margin: 0 auto;
}

.attribution {
  display: block;
  margin: 1rem auto 0 auto;
}

.footer-socials {
  width: 20rem;
  margin: 0 auto;
  font-size: 1.5rem;
  display: flex;
  justify-content: space-around;
}

/******************************************
* MEDIA QUERIES 
*******************************************/

@media (max-width: 40rem) {
  .logo:not(.footer-logo) {
    width: 90vw;
  }
  .footer-socials {
    width: 80%;
  }
  .footer-logo img {
    max-width: 60vw;
  }
}

@media (min-width: 40rem) {
  .client-logos {
    padding: 0;
    flex-flow: row wrap;
    justify-content: space-around;
    align-items: center;
    align-content: center;
  }

  .client-logo {
    max-width: 40%;
  }
}

@media (max-width: 65.725rem) {

  .primary-navigation {
    min-height: 100vh;
    text-align: center;
    inset: 0 0 0 0;
    --gap: .5em;
    justify-content: space-around;
    padding: min(15vh, 5rem) 2rem;

    -o-transform: translateX(100%);
    -webkit-transform: translateX(100%);
    transform: translateX(100%);

    -o-transition: transform 350ms ease-out;
    -moz-transition: transform 350ms ease-out;
    -webkit-transition: transform 350ms ease-out;
    -ms-transition: transform 350ms ease-out;
    transition: transform 350ms ease-out;
  }

  .primary-navigation[data-visible="true"] {
    -o-transform: translateX(0%);
    -webkit-transform: translateX(0%);
    transform: translateX(0%);
  }

  .mobile-nav-toggle {
    display: block;
    width: 2rem;
    aspect-ratio: 1;
    position: fixed;
    top: 2rem;
    right: 2rem;
    z-index: 1000001;
    background-image: url('../assets/icon-hamburger.svg');
    background-color: transparent;
    background-repeat: no-repeat;
    border: none;
    cursor: pointer;
  }

  .mobile-nav-toggle[aria-expanded="true"] {
    background-image: url('../assets/icon-close.svg');
  }

  .footer-logo img {
    max-width: 60vw;
  }
}

@media (min-width: 65.625rem) {
  html {
    scroll-padding-top: 4rem;
  }
  
  .primary-navigation {
    min-height: 4rem;

    left: 0;
    top: 0;

    align-items: center;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;

    -o-transition: 300ms;
    -moz-transition: 300ms;
    -webkit-transition: 300ms;
    -ms-transition: 300ms;
    transition: 300ms;
  }

  .primary-navigation:hover {
    background-color: var(--footer-bg-color);

    -o-transition: 300ms;
    -webkit-transition: 300ms;
    transition: 300ms;
  }

  p,
  .about-subtitle,
  .attribution {
    font-size: 1.5rem;
    line-height: 3rem;
  }

  .client-logo {
    max-width: 25%;
  }
}

@media (min-width: 65.625rem) and (max-width: 100.1rem) {
  .container {
    padding: 0 12.5%;
  }

  .primary-navigation {
    font-size: 1.5rem;
  }

  .about-subtitle {
    font-size: 1.5rem;
    line-height: 3rem;
  }

  .footer-socials {
    width: 50%;
    font-size: 2rem;
  }
}

@media (min-width: 100rem) {

  h2 {
    font-size: 4rem;
  }

  .container,
  .primary-navigation {
    padding: 0 12.5%;
  }

  .primary-navigation {
    font-size: 2rem;
  }

  .client-logo {
    max-width: 15%;
  }

  .footer-socials {
    width: 50%;
    font-size: 2.5rem;
  }
}

/* FOOTER CONTAINER */

.footer-container {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

/******************************************
/* ADDITIONAL STYLES
/*******************************************/

/* LINK ANIMATION */
.fancy-link::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: .05em;

  border-radius: 5px;
  background: currentColor;

  -o-transform: scaleX(0);
  -moz-transform: scaleX(0);
  -webkit-transform: scaleX(0);
  -ms-transform: scaleX(0);
  transform: scaleX(0);
  
  -o-transform-origin: center;
  -moz-transform-origin: center;
  -webkit-transform-origin: center;
  -ms-transform-origin: center;
  transform-origin: center;

  -o-transition: transform 150ms ease-in;
  -webkit-transition: transform 150ms ease-in;
  transition: transform 150ms ease-in;
}

.fancy-link:hover::after {
  -o-transform: scaleX(1);
  -moz-transform: scaleX(1);
  -webkit-transform: scaleX(1);
  -ms-transform: scaleX(1);
  transform: scaleX(1);
}